import React from 'react';
import { ThemeProvider, CSSReset, Box, Flex } from '@chakra-ui/core';

import {
  BrowserRouter as Router,
  Switch,
  Route,
  Link
} from "react-router-dom";

// import logo from './logo.svg';
import './App.css';

import LocationControl from './components/LocationControl.jsx';
import Sources from './components/Sources.jsx';

function App() {
  return (
      <ThemeProvider>
        <CSSReset />
        <Router>
          <Flex justify='center'>
            <Box maxW={['md', 'lg']} w={'100%'}>
              <Box>
                <Box bg='blue.400' p={2} color='white'>
                  <Flex justify='center'>
                    <nav><Link to='/'>Tideable</Link></nav>
                  </Flex>
                </Box>
                <Switch>
                  <Route path='/location'>
                    <LocationControl />
                  </Route>
                  <Route path='/sources'>
                    <Sources />
                  </Route>
                  <Route path='/'>
                    <Link to='/location'>Locations</Link>
                    <br /><br />
                    <Link to='/sources'>Sources</Link>
                  </Route>
                </Switch>
              </Box>
            </Box>
          </Flex>
        </Router>
      </ThemeProvider>
  );
}

export default App;
